@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300&display=swap');

html,
button,
select,
textarea,
input {
  font-family: 'Roboto';
  font-size: 16px;
}

header nav ul {
  list-style: none;
  display: grid;
  grid-template-columns: repeat(10, 1fr);
  justify-items: center;
}

a,
a:visited {
  text-decoration: none;
  color: #ffffff;

}

a:hover {
  transition: 1s;
  color: #E2C044;

}

button.button {
  background-color: #E2C044;
  border: 2px solid transparent;
  border-radius: 4px;
  color: white;
  padding: 1em 1.5em;
  text-transform: uppercase;
}

button.button:hover {
  background-color: white;
  border-color: #393E41;
  color: #1E2019;
}

button.button:active {
  background-color: lightblue;
}

input,
textarea {
  border: 1px solid #1E2019;
  border-radius: 4px;
  padding: 1em 1.5em;
}

table {
  margin: auto;
}

td,
th {
  padding: .25em .5em;
}

textarea {
  resize: none;
}

.recipe-grid {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 2em;
  padding: 2em;
}

.recipe-card-title {
  margin-bottom: 0;
  text-align: center;
}



.recipe-card-date {
  color: darkgray;
  text-align: center;
}

.recipe-form {
  margin: 4em auto;
  min-width: 300px;
  max-width: 800px;
}

.recipe-form p {
  display: grid;
  grid-template-columns: 8em 1fr;
  column-gap: 20px;
}

.recipe-form label {
  text-align: right;
}

.recipe-detail {
  color: #D3D0CB;
  margin: 4em auto;
  min-width: 300px;
  max-width: 800px;
}

.rating-form-grid {
  display: grid;
  grid-template-columns: repeat(3, auto) 1fr;
  align-items: center;
}

.pull-right {
  height: 50%;
  width: 75%;
  object-fit: contain;
}

.control {
  text-align: right;
}

.delete-form {
  max-width: 600px;
  margin: auto;
  text-align: center;
}

.custom-h2-tag-create {
  font-family: 'Roboto';
  font-size: 48px;
}

html {
  background-color: #587B7F;
}

.recipe-list-img-size {
  width: auto;
  height: 200px;
  background: #ffffff;
  border-radius: 50%;
  transform:
    rotate() skew();
  transition: box-shadow .25s ease-in;
}

.recipe-list-img-size:hover {
  box-shadow:
    rgba(255, 255, 255, 0.5) 5px 3px,
    rgba(255, 255, 255, 0.4) 10px 6px,
    rgba(255, 255, 255, 0.3) 15px 9px;
  animation: rotation 8s infinite linear;

}

.recipe-card {
  text-align: center;
}

.pagination-text {
  color: rgb(255, 255, 255);
  text-align: end;
}

.edit-delete-detail {
  border: solid white 2px;
}

.recipe-detail-name {
  color: #E2C044
}

footer {
  position: fixed
}

/* .rotate {
  animation: rotation .01s infinite linear;
} */

@keyframes rotation {
  from {
    transform: rotate(0deg);
  }

  to {
    transform: rotate(359deg);
  }
}